Subject: Re: [PATCH net-next 09/12] igc: Remove _I_PHY_ID checking

From: Andrew Lunn <[email-masked]>
Date: Wed, 21 Jul 2021 21:53:13 +0200

On Wed, Jul 21, 2021 at 09:02:13PM +0300, Sasha Neftin wrote:
> On 7/21/2021 17:50, Andrew Lunn wrote:
> > On Tue, Jul 20, 2021 at 04:20:58PM -0700, Tony Nguyen wrote:
> > > From: Sasha Neftin <[email-masked]>
> > > 
> > > i225 devices have only one PHY vendor. There is no point checking
> > > _I_PHY_ID during the link establishment and auto-negotiation process.
> > > This patch comes to clean up these pointless checkings.
> > 
> > I don't know this hardware....
> > 
> > Is the PHY integrated into the MAC? Or is it external?
> i225 controller offers a fully-integrated Media Access Control
> (MAC) and Physical Layer (PHY) port.
> Both components (MAC and PHY) supports 2.5G

Hi Sasha

Thanks for the info. Then this change make sense. But the commit
message could of been better. It is not really about there being one
PHY vendor, it is simply impossible for the PHY to be anything else,
so there is no need to check.

	Andrew